summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--rhnop-client/debian/changelog5
-rw-r--r--rhnop-client/debian/compat1
-rw-r--r--rhnop-client/debian/control15
-rw-r--r--rhnop-client/debian/copyright28
-rwxr-xr-xrhnop-client/debian/postinst9
-rwxr-xr-xrhnop-client/debian/postrm13
-rw-r--r--rhnop-client/debian/rhnop-client.master.runit5
-rw-r--r--rhnop-client/debian/rhnop-client.master.runit.log9
-rw-r--r--rhnop-client/debian/rhnop-client.standby.runit5
-rw-r--r--rhnop-client/debian/rhnop-client.standby.runit.log9
-rwxr-xr-xrhnop-client/debian/rules75
11 files changed, 174 insertions, 0 deletions
diff --git a/rhnop-client/debian/changelog b/rhnop-client/debian/changelog
new file mode 100644
index 0000000..b0dd347
--- /dev/null
+++ b/rhnop-client/debian/changelog
@@ -0,0 +1,5 @@
+rhnop-client (0.1) unstable; urgency=low
+
+ * Initial release.
+
+ -- Christian Pointner <equinox@helsinki> Wed, 5 Apr 2011 02:16:41 +0200
diff --git a/rhnop-client/debian/compat b/rhnop-client/debian/compat
new file mode 100644
index 0000000..7ed6ff8
--- /dev/null
+++ b/rhnop-client/debian/compat
@@ -0,0 +1 @@
+5
diff --git a/rhnop-client/debian/control b/rhnop-client/debian/control
new file mode 100644
index 0000000..e34f9b5
--- /dev/null
+++ b/rhnop-client/debian/control
@@ -0,0 +1,15 @@
+Source: rhnop-client
+Section: interpreters
+Priority: optional
+Maintainer: Christian Pointner <equinox@helsinki.at>
+Build-Depends: debhelper (>= 5), liblua5.1-0-dev, lua5.1
+Standards-Version: 3.8.2
+Homepage: http://www.helsinki.at/
+
+Package: rhnop-client
+Architecture: any
+Depends: ${shlibs:Depends}, adduser, liblua5.1-socket2, liblua5.1-sql-mysql-2, lua5.1, runit
+Description: Radio Helsinki now playing information system - client
+ The Radio Helsinki now playing information system gathers the
+ now playing info into an mysql database for further processing.
+ This package contains the client component.
diff --git a/rhnop-client/debian/copyright b/rhnop-client/debian/copyright
new file mode 100644
index 0000000..7812c4d
--- /dev/null
+++ b/rhnop-client/debian/copyright
@@ -0,0 +1,28 @@
+This package was debianized by Christian Pointner <equinox@helsinki.at> on
+Fri, 30 Mar 2011 11:23:42 +0200.
+
+Upstream Author: Christian Pointner <equinox@helsinki.at>
+
+Copyright: 2011 Christian Pointner
+
+License:
+
+ This program is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 3 of the License, or
+ (at your option) any later version.
+
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+
+ You should have received a copy of the GNU General Public License
+ along with this package; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL-3'.
+
+The Debian packaging is © 2009, Christian Pointner <equinox@helsinki.at> and
+is licensed under the GPL, see above.
diff --git a/rhnop-client/debian/postinst b/rhnop-client/debian/postinst
new file mode 100755
index 0000000..be17051
--- /dev/null
+++ b/rhnop-client/debian/postinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+# postinst script for rhnop-client
+
+set -e
+
+if [ "$1" = "configure" ]; then
+ adduser --quiet --system --group --no-create-home --home /var/run/rhnop rhnop
+ chgrp rhnop /etc/rhnop/nopcollectd.*.conf
+fi
diff --git a/rhnop-client/debian/postrm b/rhnop-client/debian/postrm
new file mode 100755
index 0000000..eaf8334
--- /dev/null
+++ b/rhnop-client/debian/postrm
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postrm script for rhnop-client
+
+set -e
+
+if [ "$1" = "purge" ] ; then
+ if [ -x "$(command -v deluser)" -a -x "$(command -v delgroup)" ]; then
+ deluser --quiet --system rhnop || true
+ delgroup --quiet --system rhnop || true
+ else
+ echo "Not removing rhnop user and group: adduser package not found." >&2
+ fi
+fi
diff --git a/rhnop-client/debian/rhnop-client.master.runit b/rhnop-client/debian/rhnop-client.master.runit
new file mode 100644
index 0000000..69d7226
--- /dev/null
+++ b/rhnop-client/debian/rhnop-client.master.runit
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -e
+
+exec 2>&1
+exec chpst -u rhnop:rhnop /usr/bin/nopcollectd master
diff --git a/rhnop-client/debian/rhnop-client.master.runit.log b/rhnop-client/debian/rhnop-client.master.runit.log
new file mode 100644
index 0000000..850066a
--- /dev/null
+++ b/rhnop-client/debian/rhnop-client.master.runit.log
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+LOG_D="/var/log/nopcollectd.master/"
+if [ ! -d "$LOG_D" ]; then
+ mkdir -p -m0750 "$LOG_D"
+fi
+chown root:adm "$LOG_D"
+exec chpst -u root:adm svlogd -tt "$LOG_D"
diff --git a/rhnop-client/debian/rhnop-client.standby.runit b/rhnop-client/debian/rhnop-client.standby.runit
new file mode 100644
index 0000000..01b7527
--- /dev/null
+++ b/rhnop-client/debian/rhnop-client.standby.runit
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -e
+
+exec 2>&1
+exec chpst -u rhnop:rhnop /usr/bin/nopcollectd standby
diff --git a/rhnop-client/debian/rhnop-client.standby.runit.log b/rhnop-client/debian/rhnop-client.standby.runit.log
new file mode 100644
index 0000000..8223c28
--- /dev/null
+++ b/rhnop-client/debian/rhnop-client.standby.runit.log
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+LOG_D="/var/log/nopcollectd.standby/"
+if [ ! -d "$LOG_D" ]; then
+ mkdir -p -m0750 "$LOG_D"
+fi
+chown root:adm "$LOG_D"
+exec chpst -u root:adm svlogd -tt "$LOG_D"
diff --git a/rhnop-client/debian/rules b/rhnop-client/debian/rules
new file mode 100755
index 0000000..63f5fdd
--- /dev/null
+++ b/rhnop-client/debian/rules
@@ -0,0 +1,75 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ ./configure --prefix=/usr --sysconfdir=/etc
+ touch configure-stamp
+
+build: build-stamp
+
+build-stamp: configure-stamp
+ dh_testdir
+ $(MAKE)
+ touch $@
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+ $(MAKE) distclean
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_installdirs
+ $(MAKE) DESTDIR=$(CURDIR)/debian/rhnop-client install
+ mkdir -p $(CURDIR)/debian/rhnop-client/etc/sv/rhnop-client.master/log
+ ln -s /var/run/sv.rhnop-client.master/ $(CURDIR)/debian/rhnop-client/etc/sv/rhnop-client.master/supervise
+ cp $(CURDIR)/debian/rhnop-client.master.runit $(CURDIR)/debian/rhnop-client/etc/sv/rhnop-client.master/run
+ ln -s /var/run/sv.rhnop-client.master.log/ $(CURDIR)/debian/rhnop-client/etc/sv/rhnop-client.master/log/supervise
+ cp $(CURDIR)/debian/rhnop-client.master.runit.log $(CURDIR)/debian/rhnop-client/etc/sv/rhnop-client.master/log/run
+ mkdir -p $(CURDIR)/debian/rhnop-client/etc/sv/rhnop-client.standby/log
+ ln -s /var/run/sv.rhnop-client.standby/ $(CURDIR)/debian/rhnop-client/etc/sv/rhnop-client.standby/supervise
+ cp $(CURDIR)/debian/rhnop-client.standby.runit $(CURDIR)/debian/rhnop-client/etc/sv/rhnop-client.standby/run
+ ln -s /var/run/sv.rhnop-client.standby.log/ $(CURDIR)/debian/rhnop-client/etc/sv/rhnop-client.standby/log/supervise
+ cp $(CURDIR)/debian/rhnop-client.standby.runit.log $(CURDIR)/debian/rhnop-client/etc/sv/rhnop-client.standby/log/run
+
+# Build architecture-independent files here.
+binary-indep: install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: install
+ dh_testdir
+ dh_testroot
+ dh_installdocs
+ dh_installchangelogs
+ dh_installexamples
+ dh_link
+ dh_strip
+ dh_compress
+ dh_fixperms
+ chmod 640 debian/rhnop-client/etc/rhnop/nopcollectd.*.conf
+ chmod 755 debian/rhnop-client/etc/sv/rhnop-client.master/run
+ chmod 755 debian/rhnop-client/etc/sv/rhnop-client.master/log/run
+ chmod 755 debian/rhnop-client/etc/sv/rhnop-client.standby/run
+ chmod 755 debian/rhnop-client/etc/sv/rhnop-client.standby/log/run
+ dh_installdeb
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure